Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtGraphInternal::RSSOEntry Struct Reference

a RSSO entry in a pict file More...

## Public Member Functions
| RSSOEntry ()
| constructor More...

## Public Attributes
int | m_id
| the id More...
MWAWBox2f | m_position
| the bdbox More...

## Friends
std::ostream & | operator<< (std::ostream &o, RSSOEntry const &entry)
| operator<< More...

## Detailed Description

a RSSO entry in a pict file

## Constructor & Destructor Documentation

## ◆ RSSOEntry()

NisusWrtGraphInternal::RSSOEntry::RSSOEntry | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | RSSOEntry const & | entry
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int NisusWrtGraphInternal::RSSOEntry::m_id

the id

Referenced by NisusWrtGraph::findRSSOEntry(), NisusWrtGraphInternal::SubDocument::operator!=(), and NisusWrtGraphInternal::SubDocument::parse().

## ◆ m_position

MWAWBox2f NisusWrtGraphInternal::RSSOEntry::m_position

the bdbox

Referenced by NisusWrtGraph::findRSSOEntry(), NisusWrtGraphInternal::SubDocument::operator!=(), and NisusWrtGraphInternal::SubDocument::parse().

The documentation for this struct was generated from the following file:

- NisusWrtGraph.cxx